"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const save_record_action_1 = require("./actions/save-record.action");
const database_1 = require("./database");
const record_model_1 = require("./models/record.model");
const playground_aws_1 = require("@theunderscorer/playground-aws");
const AWS = __importStar(require("@theunderscorer/playground-aws"));
const port = 9000;
exports.startServer = async () => {
    console.log({
        AWS,
    });
    const app = express_1.default();
    const router = express_1.default.Router();
    const database = await database_1.connectToDatabase();
    await database.runMigrations();
    const repository = database.getRepository(record_model_1.RecordModel);
    const sqsService = playground_aws_1.createService();
    app.use(express_1.default.json());
    router.post('/create', save_record_action_1.saveRecordAction(repository, sqsService));
    app.use('/record', router);
    app.listen(port, () => console.log('Postgres server started on port:', port));
    return app;
};
//# sourceMappingURL=server.js.map